Subject: Re: linux-next: manual merge of the spi tree with the arm-soc tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 23 Mar 2022 09:03:37 +1100

Hi all,

On Tue, 1 Mar 2022 14:31:36 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the spi tree got a conflict in:
> 
>   arch/arm/mach-pxa/stargate2.c
> 
> between commit:
> 
>   28f74201e37c ("ARM: pxa: remove Intel Imote2 and Stargate 2 boards")
> 
> from the arm-soc tree and commit:
> 
>   31455bbda208 ("spi: pxa2xx_spi: Convert to use GPIO descriptors")
> 
> from the spi tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the arm-soc tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell